## openpref 0.1.3

=== CMakeLists.txt ===
project(openpref)

set(openpref_VERSION_MAJOR 0)
set(openpref_VERSION_MINOR 1)
set(openpref_VERSION_PATCH 3)
set(openpref_VERSION "${openpref_VERSION_MAJOR}.${openpref_VERSION_MINOR}")
set(openpref_VERSION_FULL "${openpref_VERSION}.${openpref_VERSION_PATCH}")

include(src/src.cmake)

CMAKE_MINIMUM_REQUIRED( VERSION 2.4.0 )
SET( CMAKE_COLOR_MAKEFILE ON )
SET( CMAKE_VERBOSE_MAKEFILE ON )
SET( CMAKE_INCLUDE_CURRENT_DIR TRUE )
SET( CMAKE_MODULE_PATH ${openpref_SOURCE_DIR}/cmake )

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif (NOT CMAKE_BUILD_TYPE)

message(STATUS "The build type is ${CMAKE_BUILD_TYPE}")

include (CheckCXXCompilerFlag)

SET(CPACK_PACKAGE_CONTACT "annulen@users.sourceforge.net")
SET(CPACK_SOURCE_IGNORE_FILES "/.git/;/build/;_build/")
set (CPACK_PACKAGE_VERSION_MAJOR ${openpref_VERSION_MAJOR})
set (CPACK_PACKAGE_VERSION_MINOR ${openpref_VERSION_MINOR})
set (CPACK_PACKAGE_VERSION_PATCH ${openpref_VERSION_PATCH})
set (CPACK_PACKAGE_VERSION ${openpref_VERSION_MAJOR}.${openpref_VERSION_MINOR}.${openpref_VERSION_PATCH})
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")

IF( UNIX AND NOT APPLE )
	SET(CPACK_BINARY_DEB ON)
	SET(CPACK_BINARY_RPM ON)
ENDIF( UNIX AND NOT APPLE )

IF( APPLE )
    SET( PROGNAME OpenPref )
    SET( MACOSX_BUNDLE_ICON_FILE OpenPref.icns )
    SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.1.3 )
    SET( MACOSX_BUNDLE_VERSION 0.1.3 )
    SET( MACOSX_BUNDLE_LONG_VERSION_STRING Version 0.1.3 )
ELSE( APPLE )
    SET( PROGNAME openpref )
ENDIF( APPLE )

if (WIN32)
  add_definitions( -DWIN32 )
endif (WIN32)

include(CPack)

IF( MINGW )
    # resource compilation for MinGW
    ADD_CUSTOM_COMMAND( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/openprefres.o
                        COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR} -i${CMAKE_CURRENT_SOURCE_DIR}/openprefres.rc 
                             -o ${CMAKE_CURRENT_BINARY_DIR}/openprefres.o )
    SET( SOURCES ${SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/openprefres.o)
ELSE( MINGW )
#    SET( SOURCES ${SOURCES} openpref.rc)
ENDIF( MINGW )

SET ( RCS
	gfx.qrc
)

SET ( QM_SRCS 
	openpref_ru.ts
)

set(QT_MIN_VERSION "4.4.0")
FIND_PACKAGE( Qt4 REQUIRED )
find_package(Linguist)

INCLUDE( ${QT_USE_FILE} )
QT4_ADD_RESOURCES( RC_SRCS ${RCS} )
QT4_WRAP_UI( UI_HEADERS ${UIS})
QT4_WRAP_CPP( MOC_SRCS ${HEADERS} )
QT4_WRAP_TS( QMS ${QM_SRCS} )


INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR} )
ADD_EXECUTABLE( openpref ${SOURCES} ${MOC_SRCS} ${RC_SRCS} ${UI_HEADERS} ${QMS} )

TARGET_LINK_LIBRARIES( openpref ${QT_LIBRARIES} )

INSTALL (TARGETS openpref DESTINATION "games")
install(FILES ${QMS} DESTINATION "share/openpref/i18n")

# Add support for an uninstall target
configure_file(
  "${CMAKE_MODULE_PATH}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  
)

=== debian/changelog ===
openpref (0.1.3-4) unstable; urgency=medium

  * Team upload.
  * Add patch for CMake 4 (Closes: #1113363)
  * Rename files under debian/ for debhelper 14/15 compatibility
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Switch to debhelper-compat 13
  * Add debian/salsa-ci.yml
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Jan 2026 07:37:28 +0100

openpref (0.1.3-3) unstable; urgency=medium

  * Team upload.
  * Port to Qt5. (Closes: #875074)
  * Point Vcs-* fields to salsa.
  * Update to debhelper compat level 12.
  * Update Standards-Version to 4.4.0:
    - drop menu file
    - declare that d/rules does not require root
  * Use https in URL for copyright format.
  * Enable all hardening options.
  * Fix spelling error in description.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Aug 2019 01:07:28 +0200

openpref (0.1.3-2) unstable; urgency=medium

  * Migrated to dh
  * Icon added
  * Desktop file added  (Closes: #737993)
  * Bumb standard to 3.9.5, no changes needed
  * Compat set to 9
  * Added menu file (Closes: #737993)
  * New maintainer (Closes: #746460)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 06 May 2014 12:01:28 +0200

openpref (0.1.3-1) unstable; urgency=low

  * Initial release. (closes: #556615)

 -- tang ke <tangk@lemote.com>  Thu, 29 Oct 2009 15:07:42 +0800

=== debian/control ===
Source: openpref
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.7.3
Homepage: http://sourceforge.net/projects/openpref/
Vcs-Git: https://salsa.debian.org/games-team/openpref.git
Vcs-Browser: https://salsa.debian.org/games-team/openpref

Package: openpref
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: card game against two virtual players
 OpenPref is open source implementation of European trick-taking game
 Preferans against two virtual players. Two alternative AI algorithms
 are available.

=== debian/watch ===
Version: 5

Source: http://sf.net/openpref/
Matching-Pattern: openpref-(.*)\.tar\.gz
